Subject: Re: [OAUTH-WG] draft-ietf-oauth-v2-bearer-08 HTTP syntax comments

From: Mike Jones <[email-masked]>
Date: Sat, 24 Sep 2011 00:11:53 +0000

Thanks for your comment, Peter.  Done.

Is there any estimated timeline for publication of the HTTPbis specs as RFCs?

                                                                -- Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Peter Saint-Andre
Sent: Tuesday, August 09, 2011 11:58 AM
To: Julian Reschke
Cc: OAuth WG ([email-masked])
Subject: Re: [OAUTH-WG] draft-ietf-oauth-v2-bearer-08 HTTP syntax comments

On 8/9/11 6:06 AM, Julian Reschke wrote:

> 1.1.  Notational Conventions

>    ...

>    This document uses the Augmented Backus-Naur Form (ABNF) notation of

>    [I-D.ietf-httpbis-p1-messaging], which is based upon the Augmented

>    Backus-Naur Form (ABNF) notation of [RFC5234].  Additionally, the

>    following rules are included from [RFC2617]: auth-param and realm;

>    from [RFC3986]: URI-Reference; and from

>    [I-D.ietf-httpbis-p1-messaging]: RWS and quoted-string.

> auth-param and realm should come from I-D.ietf-httpbis-p7-auth

> (optimally from a version >= 16 which we should get out before the end

> of the month).

And also add I-D.ietf-httpbis-p7-auth to the normative references.

It appears that the authors are OK with normative references to the httpbis document series, but just so we're all aware that might delay publication of an RFC for the bearer token format spec...

Peter

--

Peter Saint-Andre

https://stpeter.im/

_______________________________________________

OAuth mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/oauth